Skip to main content
PUT
/
open-api
/
v1.1
/
memberships
/
posts
/
videos
/
{id}
Update Video Post
curl --request PUT \
  --url https://api.fourthwall.com/open-api/v1.1/memberships/posts/videos/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "attributes": {
    "core": {
      "title": "<string>",
      "description": "<string>",
      "liveAt": "2023-11-07T05:31:56Z",
      "tags": [
        "<string>"
      ]
    },
    "series": [
      {
        "id": 123
      }
    ],
    "mediaUrl": "<string>",
    "countryRestrictions": [
      "<string>"
    ]
  },
  "access": {
    "type": "MembersOnly",
    "tiers": [
      {
        "id": 123
      }
    ]
  },
  "notifications": {
    "enabled": true
  },
  "subtitlesResource": {
    "type": "New",
    "id": 123
  },
  "imageDirectUploadData": {
    "byteSize": 123,
    "checksum": "<string>"
  },
  "new_media_direct_upload": true,
  "remove_thumbnail": true
}
'
{
  "type": "Video",
  "action": "Update",
  "postId": 123,
  "imageDirectUploadData": {
    "uploadUrl": "<string>",
    "headers": {
      "content-MD5": "7vJP+O8buKShZwMbdl7wJQ==",
      "content-Disposition": "inline; filename=\"7c8f5486-7841-4890-841f-53a3ebe2b445\"; filename*=UTF-8''7c8f5486-7841-4890-841f-53a3ebe2b445",
      "cache-Control": "public, max-age=2592000"
    },
    "signedId": "<string>"
  },
  "videoDirectUploadData": {
    "uploadUrl": "<string>"
  }
}
OAuth scope: memberships_writeAPI keys have full access to this endpoint.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-ShopId
string

Path Parameters

id
integer
required

Body

application/json
attributes
object
required
access
object
required
notifications
object
required
subtitlesResource
object
required
imageDirectUploadData
object
new_media_direct_upload
boolean
remove_thumbnail
boolean

Response

type
enum<string>
required
Available options:
Video
action
enum<string>
required
Available options:
Update
postId
integer
required
imageDirectUploadData
object
videoDirectUploadData
object